﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HSBS_RESULTFETCHCONFIG', 'T_HSBS_RESULTFETCHCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_RESULTFETCHCONFIG') CREATE INDEX IDX_HSBS_RESULTFETCHCONFIG ON T_HSBS_RESULTFETCHCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_RESULTFETCHCONFIG_L', 'T_HSBS_RESULTFETCHCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_RESULTFETCHCONFIG_L') CREATE INDEX IDX_HSBS_RESULTFETCHCONFIG_L ON T_HSBS_RESULTFETCHCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_RESULTITEMENTRY', 'T_HSBS_RESULTITEMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_RESULTITEMENTRY') CREATE INDEX IDX_HSBS_RESULTITEMENTRY ON T_HSBS_RESULTITEMENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHCONFIG_L', 'T_HSBS_FETCHCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHCONFIG_L') CREATE INDEX IDX_HSBS_FETCHCONFIG_L ON T_HSBS_FETCHCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHFIELDENTRY_L', 'T_HSBS_FETCHFIELDENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHFIELDENTRY_L') CREATE INDEX IDX_HSBS_FETCHFIELDENTRY_L ON T_HSBS_FETCHFIELDENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHITEM_L', 'T_HSBS_FETCHITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHITEM_L') CREATE INDEX IDX_HSBS_FETCHITEM_L ON T_HSBS_FETCHITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHITEMGROUP', 'T_HSBS_FETCHITEMGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHITEMGROUP') CREATE INDEX IDX_HSBS_FETCHITEMGROUP ON T_HSBS_FETCHITEMGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_FETCHITEMGROUP_L', 'T_HSBS_FETCHITEMGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHITEMGROUP_L') CREATE INDEX IDX_HSBS_FETCHITEMGROUP_L ON T_HSBS_FETCHITEMGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHSORTENTRY', 'T_HSBS_FETCHSORTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHSORTENTRY') CREATE INDEX IDX_HSBS_FETCHSORTENTRY ON T_HSBS_FETCHSORTENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHSORTENTRY_L', 'T_HSBS_FETCHSORTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHSORTENTRY_L') CREATE INDEX IDX_HSBS_FETCHSORTENTRY_L ON T_HSBS_FETCHSORTENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHCONFIGITEM', 'T_HSBS_FETCHCONFIGITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHCONFIGITEM') CREATE INDEX IDX_HSBS_FETCHCONFIGITEM ON T_HSBS_FETCHCONFIGITEM ( FFETCHCONFIGID ,FFETCHITEMID ,FFETCHFIELDENTRYID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHFIELDENTRY', 'T_HSBS_FETCHFIELDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHFIELDENTRY') CREATE INDEX IDX_HSBS_FETCHFIELDENTRY ON T_HSBS_FETCHFIELDENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHITEM', 'T_HSBS_FETCHITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHITEM') CREATE INDEX IDX_HSBS_FETCHITEM ON T_HSBS_FETCHITEM ( FUNIQUECODE );


 EXEC P_ALTERPK 'PK_HSBS_FETCHFILTERENTRY', 'T_HSBS_FETCHFILTERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHFILTERENTRY') CREATE INDEX IDX_HSBS_FETCHFILTERENTRY ON T_HSBS_FETCHFILTERENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHFILTERENTRY_L', 'T_HSBS_FETCHFILTERENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHFILTERENTRY_L') CREATE INDEX IDX_HSBS_FETCHFILTERENTRY_L ON T_HSBS_FETCHFILTERENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_FETCHCONFIG', 'T_HSBS_FETCHCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FETCHCONFIG') CREATE INDEX IDX_HSBS_FETCHCONFIG ON T_HSBS_FETCHCONFIG ( FNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
