﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_CUSTFETCHCONFIG') 
 CREATE TABLE T_HSBS_CUSTFETCHCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAREATYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FGENERALENNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONALITY VARCHAR(10) DEFAULT ' ' NOT NULL,
FFETCHTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCALINGFETCH CHAR(1) DEFAULT ' ' NOT NULL,
FFETCHPATH VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_CUSTFETCHCONFIG_L') 
 CREATE TABLE T_HSBS_CUSTFETCHCONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY') 
 CREATE TABLE T_HSBS_CUSTFETCHINENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY_L') 
 CREATE TABLE T_HSBS_CUSTFETCHINENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_CUSTFETCHOUTENTRY') 
 CREATE TABLE T_HSBS_CUSTFETCHOUTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSRCENUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCENTITY VARCHAR(60) DEFAULT ' ' NOT NULL,
FSRCFIELD VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_CUSTFETCHOUTENTRY_L') 
 CREATE TABLE T_HSBS_CUSTFETCHOUTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY' AND KSQL_COL_NAME ='FPARAM')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY ADD (FPARAM VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY' AND KSQL_COL_NAME ='FNAME')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY ADD (FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY' AND KSQL_COL_NAME ='FPARAMTYPE')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY ADD (FPARAMTYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY' AND KSQL_COL_NAME ='FDATETYPE')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY ADD (FDATETYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY' AND KSQL_COL_NAME ='FFETCHITEMID')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY ADD (FFETCHITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY' AND KSQL_COL_NAME ='FFIXEDVALUE')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY ADD (FFIXEDVALUE VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY' AND KSQL_COL_NAME ='FPARAMDESCRIPTION')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY ADD (FPARAMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY_L' AND KSQL_COL_NAME ='FNAME')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY_L ADD (FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHINENTRY_L' AND KSQL_COL_NAME ='FPARAMDESCRIPTION')
 ALTER TABLE T_HSBS_CUSTFETCHINENTRY_L ADD (FPARAMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHOUTENTRY' AND KSQL_COL_NAME ='FPARAM')
 ALTER TABLE T_HSBS_CUSTFETCHOUTENTRY ADD (FPARAM VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHOUTENTRY' AND KSQL_COL_NAME ='FPARAMNAME')
 ALTER TABLE T_HSBS_CUSTFETCHOUTENTRY ADD (FPARAMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHOUTENTRY' AND KSQL_COL_NAME ='FDATATYPE')
 ALTER TABLE T_HSBS_CUSTFETCHOUTENTRY ADD (FDATATYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSBS_CUSTFETCHOUTENTRY_L' AND KSQL_COL_NAME ='FPARAMNAME')
 ALTER TABLE T_HSBS_CUSTFETCHOUTENTRY_L ADD (FPARAMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_table.sql **/
