﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_SALARYSLIPVIEW') 
 CREATE TABLE T_HSBS_SALARYSLIPVIEW (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FMVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FISSENDBYAUTO CHAR(1) DEFAULT '0' NOT NULL,
FISSENDBYMAIL CHAR(1) DEFAULT '0' NOT NULL,
FSALARYCLASSREF VARCHAR(2) DEFAULT ' ' NOT NULL,
FISPUSHNOTIFY CHAR(1) DEFAULT '0' NOT NULL,
FVERIFYMODE VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUERYSCOPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISNEEDCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSHOWPAYFLOW CHAR(1) DEFAULT '0' NOT NULL,
FMAILSENDERID BIGINT DEFAULT 0 NOT NULL,
FEMAILTHEME VARCHAR(255) DEFAULT ' ' NOT NULL,
FEMAILCONTENT NCLOB,
FEMAILCONTENT_TAG NCLOB,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_SALARYSLIPVIEW_L') 
 CREATE TABLE T_HSBS_SALARYSLIPVIEW_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEFAULTTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTOENDNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_SALSLIPVIEWDETAIL') 
 CREATE TABLE T_HSBS_SALSLIPVIEWDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FISZERODISPLAY CHAR(1) DEFAULT '0' NOT NULL,
FISEMPTYDISPLAY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_SALSLIPVIEWDETAIL_L') 
 CREATE TABLE T_HSBS_SALSLIPVIEWDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FITEMDISPLAYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_SALSLIPVIEWENT') 
 CREATE TABLE T_HSBS_SALSLIPVIEWENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FISAUTOENDSUMMARY CHAR(1) DEFAULT '0' NOT NULL,
FSALARYITEMTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTRUINSTAGID BIGINT DEFAULT 0 NOT NULL,
FISAUTOENDTOPSHOW CHAR(1) DEFAULT '0' NOT NULL,
FITEMCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSBS_SALSLIPVIEWENT_L') 
 CREATE TABLE T_HSBS_SALSLIPVIEWENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FGROUPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPDISPLAYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_table.sql **/
