﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HSBS_DATAPRECISION', 'T_HSBS_DATAPRECISION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_DATAPRECISION') CREATE INDEX IDX_HSBS_DATAPRECISION ON T_HSBS_DATAPRECISION ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_DATAPRECISION_L', 'T_HSBS_DATAPRECISION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_DATAPRECISION_L') CREATE INDEX IDX_HSBS_DATAPRECISION_L ON T_HSBS_DATAPRECISION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_DATAROUND', 'T_HSBS_DATAROUND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_DATAROUND') CREATE INDEX IDX_HSBS_DATAROUND ON T_HSBS_DATAROUND ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_DATAROUND_L', 'T_HSBS_DATAROUND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_DATAROUND_L') CREATE INDEX IDX_HSBS_DATAROUND_L ON T_HSBS_DATAROUND_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_DATATYPE', 'T_HSBS_DATATYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_DATATYPE') CREATE INDEX IDX_HSBS_DATATYPE ON T_HSBS_DATATYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_DATATYPE_L', 'T_HSBS_DATATYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_DATATYPE_L') CREATE INDEX IDX_HSBS_DATATYPE_L ON T_HSBS_DATATYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_SALARYITEM_L', 'T_HSBS_SALARYITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_SALARYITEM_L') CREATE INDEX IDX_HSBS_SALARYITEM_L ON T_HSBS_SALARYITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_STRUINSCATEGORY_L', 'T_HSBS_STRUINSCATEGORY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_STRUINSCATEGORY_L') CREATE INDEX IDX_HSBS_STRUINSCATEGORY_L ON T_HSBS_STRUINSCATEGORY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_STRUINSTAG_L', 'T_HSBS_STRUINSTAG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_STRUINSTAG_L') CREATE INDEX IDX_HSBS_STRUINSTAG_L ON T_HSBS_STRUINSTAG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_SALARYITEMEXC', 'T_HSBS_SALARYITEMEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_SALARYITEMEXC') CREATE INDEX IDX_HSBS_SALARYITEMEXC ON T_HSBS_SALARYITEMEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_HSBS_SALARYITEMUSEREG', 'T_HSBS_SALARYITEMUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_SALARYITEMUSEREG') CREATE INDEX IDX_HSBS_SALARYITEMUSEREG ON T_HSBS_SALARYITEMUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_HSBS_SALARYITEM', 'T_HSBS_SALARYITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_SALARYITEM') CREATE INDEX IDX_HSBS_SALARYITEM ON T_HSBS_SALARYITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_STRUINSTAG', 'T_HSBS_STRUINSTAG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_STRUINSTAG') CREATE INDEX IDX_HSBS_STRUINSTAG ON T_HSBS_STRUINSTAG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_STRUINSCATEGORY', 'T_HSBS_STRUINSCATEGORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_STRUINSCATEGORY') CREATE INDEX IDX_HSBS_STRUINSCATEGORY ON T_HSBS_STRUINSCATEGORY ( FNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
