﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HSBS_MAILSENDERUSEREG', 'T_HSBS_MAILSENDERUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_MAILSENDERUSEREG') CREATE INDEX IDX_HSBS_MAILSENDERUSEREG ON T_HSBS_MAILSENDERUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_HSBS_MAILSENDEREXC', 'T_HSBS_MAILSENDEREXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_MAILSENDEREXC') CREATE INDEX IDX_HSBS_MAILSENDEREXC ON T_HSBS_MAILSENDEREXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_HSBS_MAILSENDER', 'T_HSBS_MAILSENDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_MAILSENDER') CREATE INDEX IDX_HSBS_MAILSENDER ON T_HSBS_MAILSENDER ( FEMAILADDRESS );


 EXEC P_ALTERPK 'PK_HSBS_MAILSENDER_L', 'T_HSBS_MAILSENDER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_MAILSENDER_L') CREATE INDEX IDX_HSBS_MAILSENDER_L ON T_HSBS_MAILSENDER_L ( FID ,FLOCALEID );
 
 EXEC P_ALTERPK 'PK_HSBS_FUNCTYPE', 'T_HSBS_FUNCTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FUNCTYPE') CREATE INDEX IDX_HSBS_FUNCTYPE ON T_HSBS_FUNCTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_FUNCTYPE_L', 'T_HSBS_FUNCTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FUNCTYPE_L') CREATE INDEX IDX_HSBS_FUNCTYPE_L ON T_HSBS_FUNCTYPE_L ( FID ,FLOCALEID );



 EXEC P_ALTERPK 'PK_HSBS_FUNCDEFINE', 'T_HSBS_FUNCDEFINE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FUNCDEFINE') CREATE INDEX IDX_HSBS_FUNCDEFINE ON T_HSBS_FUNCDEFINE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_FUNCDEFINE_L', 'T_HSBS_FUNCDEFINE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FUNCDEFINE_L') CREATE INDEX IDX_HSBS_FUNCDEFINE_L ON T_HSBS_FUNCDEFINE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_FUNCDEFINEENTRY', 'T_HSBS_FUNCDEFINEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FUNCDEFINEENTRY') CREATE INDEX IDX_HSBS_FUNCDEFINEENTRY ON T_HSBS_FUNCDEFINEENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSBS_FUNCDEFINEENTRY_L', 'T_HSBS_FUNCDEFINEENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FUNCDEFINEENTRY_L') CREATE INDEX IDX_HSBS_FUNCDEFINEENTRY_L ON T_HSBS_FUNCDEFINEENTRY_L ( FENTRYID ,FLOCALEID );
 
 
 EXEC P_ALTERPK 'PK_HSBS_ENUMCONFIG', 'T_HSBS_ENUMCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_ENUMCONFIG') CREATE INDEX IDX_HSBS_ENUMCONFIG ON T_HSBS_ENUMCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_ENUMCONFIG_L', 'T_HSBS_ENUMCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_ENUMCONFIG_L') CREATE INDEX IDX_HSBS_ENUMCONFIG_L ON T_HSBS_ENUMCONFIG_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_HSBS_ENUMENTRY_L', 'T_HSBS_ENUMENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_ENUMENTRY_L') CREATE INDEX IDX_HSBS_ENUMENTRY_L ON T_HSBS_ENUMENTRY_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_HSBS_FORMULAEXAMPLE', 'T_HSBS_FORMULAEXAMPLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FORMULAEXAMPLE') CREATE INDEX IDX_HSBS_FORMULAEXAMPLE ON T_HSBS_FORMULAEXAMPLE ( FNUMBER );

 EXEC P_ALTERPK 'PK_HSBS_FORMULAEXAMPLE_L', 'T_HSBS_FORMULAEXAMPLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_FORMULAEXAMPLE_L') CREATE INDEX IDX_HSBS_FORMULAEXAMPLE_L ON T_HSBS_FORMULAEXAMPLE_L ( FLOCALEID ,FID );

 EXEC P_ALTERPK 'PK_HSBS_ENUMENTRY', 'T_HSBS_ENUMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSBS_ENUMENTRY') CREATE INDEX IDX_HSBS_ENUMENTRY ON T_HSBS_ENUMENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
