DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 952905184160359424;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (952905184160359424,'3060_S','getDateFormat',828000524262800384,'String',' ',125,1,{ts'2020-08-07 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',952905184160359424,'FC_3060_S','日期型转文本型',' ','对日期的字段做日期格式的转换，按照选定的日期格式显示转换结果','举例: 如果 入职日期=2020-08-08，则 日期型转文本型(入职日期，"yyyy-MM-dd")，返回结果为（文本型）："2020-08-08"');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 952866586673389568;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (952866586673389568,'2041_S','getDay',828000374131643392,'Integer',' ',66,1,{ts'2020-08-07 00:00:00'},1,{ts'2020-08-07 00:00:00'},'1','C',0,null,'1',952866586673389568,'FC_2041_S','取日',' ','返回值为数值，返回日期对应的日','举例：薪酬项目A为"2001-07-18"，则 取日(薪酬项目A) ，返回结果为18');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828417007912633344;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828417007912633344,'1030_S','getMaximum',828000043201057792,'BigDecimal',' ',10,1,{ts'2020-02-17 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828417007912633344,'FC_1030_S','取最大值',' ','返回两个待比较数中较大的那个数值','举例1：薪酬项目X的值为-5.4，薪酬项目Y的值为-5.7，设置公式：薪酬项目A= 取最大值(薪酬项目X,薪酬项目Y)，则计算结果为-5.4；  举例2：薪酬项目X的值为5.4，薪酬项目Y的值为5.7，设置公式：薪酬项目A= 取最大值(薪酬项目X,薪酬项目Y)，则计算结果为5.7；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828418530730198016;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828418530730198016,'1050_S','getRoundUp',828000043201057792,'Integer',' ',20,1,{ts'2020-02-17 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828418530730198016,'FC_1050_S','向上取整',' ','返回一个数值，得到大于或等于参数值的最小整数','举例1：薪酬项目X的值为5.42，设置公式：薪酬项目A=向上取整(薪酬项目X) ，则计算结果为6；  举例2：薪酬项目X的值为-5.42，设置公式：薪酬项目A=向上取整(薪酬项目X) ，则计算结果为-5；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828419322707067904;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828419322707067904,'1060_S','getRoundDown',828000043201057792,'Integer',' ',25,1,{ts'2020-02-18 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828419322707067904,'FC_1060_S','向下取整',' ','返回一个数值，得到小于或等于参数值的最大整数','举例：薪酬项目X的值为-5.42，设置公式：薪酬项目A=向下取整(薪酬项目X)，则计算结果为-6；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 952779621009501184;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (952779621009501184,'2021_S','getYear',828000374131643392,'Integer',' ',56,1,{ts'2020-08-07 00:00:00'},1,{ts'2020-08-07 00:00:00'},'1','C',0,null,'1',952779621009501184,'FC_2021_S','取年',' ','返回值为数值，返回日期对应的年','举例：薪酬项目A为"2001-07-18"，则 取年(薪酬项目A) ，返回结果为2001');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 952875545715123200;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (952875545715123200,'2031_S','getMonth',828000374131643392,'Integer',' ',61,1,{ts'2020-08-07 00:00:00'},1,{ts'2020-08-07 00:00:00'},'1','C',0,null,'1',952875545715123200,'FC_2031_S','取月',' ',' 返回值为数值，返回日期对应的月','举例：薪酬项目A为"2001-07-18"，则 取月(薪酬项目A) ，返回结果为7');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 1078039172100404224;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (1078039172100404224,'3090_S','ifFirstSection',1073146021757887488,'boolean',' ',140,1,{ts'2021-01-27 00:00:00'},1,{ts'2021-01-27 00:00:00'},'1','C',0,null,'1',1078039172100404224,'FC_3090_S','当前为第一段',' ','判断当前分段是否为第一段，返回数据类型为：布尔型','举例：如果  当前为第一段()  那么 结果=1  其余 结果=0');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829085528161827840;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829085528161827840,'2090_S','getMonthsDifferenceBetweenDates',828000374131643392,'Integer',' ',90,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-15 00:00:00'},'1','C',0,null,'1',829085528161827840,'FC_2090_S',' ',' ',' ','举例：薪酬项目A=“2018-6-1”  薪酬项目B=“2020-12-30” 取两个日期间相差月数(薪酬项目A,薪酬项目B,25)=7  函数会先计算出两个日期间的相差2年6个月29天，对天数进行处理，满25天，月+1，得到31个月');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829088146062063616;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829088146062063616,'3010_S','increasedMonths',828000374131643392,'Date',' ',100,1,{ts'2020-02-18 00:00:00'},1157958257508102144,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',829088146062063616,'FC_3010_S','增减月数',' ',' ','举例1：薪酬项目A=“2020-7-20”，则 增减月数(薪酬项目A，1)，返回结果为日期型“2020-8-20”  举例2：薪酬项目A=“2020-8-31”，则 增减月数(薪酬项目A，1)，返回结果为日期型“2020-9-30”');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828757430501795840;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828757430501795840,'1080_S','getRoundUpByDecimalPlaces',828000043201057792,'BigDecimal',' ',35,1,{ts'2020-02-18 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828757430501795840,'FC_1080_S','按小数位数向上取值',' ','返回一个数值，得到待算数按照小数点后精确位大于或等于参数值的最小小数','举例1：薪酬项目X的值为1.352，设置公式：薪酬项目A=按小数位数向上取值(薪酬项目X,2)，则计算结果为1.36；  举例2：薪酬项目X的值为1.35，设置公式：薪酬项目A=按小数位数向上取值(薪酬项目X,2)，则计算结果为1.35；  注意：薪酬项目A的数据精度需要在该薪酬项目数据类型中调整至大于或等于精确的小数位；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 952915449803285504;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (952915449803285504,'3070_S','getDate',828000524262800384,'Date',' ',130,1,{ts'2020-08-07 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',952915449803285504,'FC_3070_S','文本型转日期型',' ','文本类型转为日期类型，获取到日期类型的结果','举例1: 文本型转日期型("2020-08-08"，"yyyy-MM-dd")，返回结果为（日期类型）：2020-08-08； 
举例2: 文本型转日期型("2020/08/08"，"yyyy/MM/dd")，返回结果为（日期类型）：2020/08/08');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 1033154301960249344;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (1033154301960249344,'3080_S','getNaturalDayBetweenTwoDates',828000374131643392,'Integer',' ',135,1,{ts'2020-11-26 00:00:00'},1,{ts'2021-06-21 00:00:00'},'1','C',0,null,'1',1033154301960249344,'FC_3080_S','取相差自然天数',' ','返回两个待比较日期的自然天数，返回数据类型为：数值型','举例：薪酬项目A=“2020-6-1”  薪酬项目B=“2020-6-30”  取相差自然天数(薪酬项目A,薪酬项目B)=29');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829089578668309504;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829089578668309504,'3020_S','increasedDays',828000374131643392,'Date',' ',105,1,{ts'2020-02-18 00:00:00'},1157958257508102144,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',829089578668309504,'FC_3020_S','增减日数',' ',' ','举例1：薪酬项目A=“2020-7-30”，则 增减日数(薪酬项目A，5)，返回结果为日期型“2020-8-4”');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829086845869538304;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829086845869538304,'3000_S','increasedYears',828000374131643392,'Date',' ',95,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',829086845869538304,'FC_3000_S','增减年数',' ',' ','举例：薪酬项目A=“2020-7-10”，则 增减年数(薪酬项目A，1)，返回结果为日期型“2021-7-10”');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828193141147553792;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828193141147553792,'1010_S','getResidue',828000043201057792,'BigDecimal',' ',1,1,{ts'2020-02-17 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828193141147553792,'FC_1010_S','取余数',' ','返回 被除数/ 除数的余数值','举例：薪酬项目X的值为5，设置公式：薪酬项目A=取余数(薪酬项目X,2)，则计算结果为1；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828758864962143232;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828758864962143232,'1090_S','getRoundDownByDecimalPlaces',828000043201057792,'BigDecimal',' ',40,1,{ts'2020-02-18 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828758864962143232,'FC_1090_S','按小数位数向下取值',' ','返回一个数值，得到待算数按照小数点后精确位小于或等于参数值的最大小数','举例1：薪酬项目X的值为1.352，设置公式：薪酬项目A=按小数位数向下取值(薪酬项目X,2)，则计算结果为1.35；  举例2：薪酬项目X的值为1.35，设置公式：薪酬项目A=按小数位数向下取值(薪酬项目X,2)，则计算结果为1.35；  注意：薪酬项目A的数据精度需要在该薪酬项目数据类型中调整至大于或等于精确的小数位；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828765999531976704;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828765999531976704,'2050_S','getMonthWithDays',828000374131643392,'Integer',' ',70,1,{ts'2020-02-18 00:00:00'},1152896752534205440,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',828765999531976704,'FC_2050_S',' ',' ',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829083619107585024;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829083619107585024,'2080_S','getMonthsDifferences',828000374131643392,'Integer',' ',85,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',829083619107585024,'FC_2080_S',' ',' ',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829090935534270464;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829090935534270464,'3030_S','getWorkingDaysDifference',828000374131643392,'Integer',' ',110,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-21 00:00:00'},'1','C',0,null,'1',829090935534270464,'FC_3030_S',' ',' ',' ','举例：薪酬项目A=“2020-6-1”  薪酬项目B=“2020-6-30”  取相差工作天数(薪酬项目A,薪酬项目B)=21');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828761231505909760;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828761231505909760,'2000_S','getStringLength',828000207383133184,'Integer',' ',45,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',828761231505909760,'FC_2000_S','取文本长度',' ','返回待处理文本中包含字符的数目（文本中不能出现+-*/等操作符，日期格式YYYY-MM-DD除外）','举例：员工张三的职位名称为：财务经理，设置公式：薪酬项目A= 取文本长度([职位名称]) ，则张三的薪酬项目A的计算结果为4');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828417777173152768;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828417777173152768,'1040_S','getMinimum',828000043201057792,'BigDecimal',' ',15,1,{ts'2020-02-17 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828417777173152768,'FC_1040_S','取最小值',' ','返回两个待比较数中较小的那个数值','举例1：薪酬项目X的值为-5.4，薪酬项目Y的值为-5.7，设置公式：薪酬项目A= 取最小值(薪酬项目X,薪酬项目Y)，则计算结果为-5.7；  举例2：薪酬项目X的值为5.4，薪酬项目Y的值为5.7，设置公式：薪酬项目A= 取最小值(薪酬项目X,薪酬项目Y)，则计算结果为5.4；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829092666003209216;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829092666003209216,'3040_S','stringToNumber',828000524262800384,'BigDecimal',' ',115,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',829092666003209216,'FC_3040_S','文本转数值',' ','返回文本对应的数值，如果文本中存在非数字字符，则返回值为0','举例1： 文本转数值("2001") = 2001；    
举例2：薪酬项目A为6018.8，则公式：薪酬项目B=文本转数值(薪酬项目A) ，公式计算结果为6018.8；  ""中的文本只能是数字，不能为文本或者字母，如果""中的文本是取某个薪酬项目，也只能是显示数字的薪酬项目，不能是文本或者字母的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828766846101907456;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828766846101907456,'2060_S','getYearsDifference',828000374131643392,'Integer',' ',75,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-15 00:00:00'},'1','C',0,null,'1',828766846101907456,'FC_2060_S',' ',' ',' ','举例：薪酬项目A=“2018-6-1”  薪酬项目B=“2020-12-30” 取两个日期间相差年数(薪酬项目A,薪酬项目B,25,7)=3  函数会先计算出两个日期间的相差2年6个月29天，再对天数进行处理，满25天，月+1，再对月数进行处理，满7个月，年+1，最后得到3年');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828762358943213568;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828762358943213568,'2010_S','getChildString',828000207383133184,'String',' ',50,1,{ts'2020-02-18 00:00:00'},1152896752534205440,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',828762358943213568,'FC_2010_S','提取部分文本',' ','返回待处理文本中按照给定起始位置、文本长度得到的文本数据（文本中不能出现+-*/等操作符，日期格式YYYY-MM-DD除外）','举例1：员工张三的职位名称为：财务经理，设置公式：薪酬项目A=提取部分文本([职位名称] ,3,2) ，则张三的薪酬项目A的计算结果“经理”；
举例2：职位名称的最后两个文本是经理的，入职日期小于2015-10-1的，通讯补贴为500，公式设置如下：  如果 提取部分文本([职位名称] ,取文本长度([职位名称])-1 ,2)="经理" 并且 [入职日期]<"2015-10-01" 那么 通讯补贴=500 其余 通讯补贴=0');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 1183297859148094464;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (1183297859148094464,'4010_S','buildDate',828000374131643392,'Date',' ',150,1,{ts'2021-06-21 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',1183297859148094464,'FC_4010_S','构建日期',' ','根据输入的年、月、日构成一个日期数据，返回数据类型：日期型','举例1：薪资所属年为2020，则构建日期(薪资所属年,12,10) ，返回结果为“2020-12-10”；
举例2：薪资所属年为2020，则构建日期(薪资所属年,2,0) ，返回结果为“2020-2-29”');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 829094013952079872;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (829094013952079872,'3050_S','numberToString',828000524262800384,'String',' ',120,1,{ts'2020-02-18 00:00:00'},1,{ts'2021-06-22 00:00:00'},'1','C',0,null,'1',829094013952079872,'FC_3050_S','数值转文本',' ','返回数值对应的文本','举例： 数值转文本(2001.0) = "2001.0"');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828415986230510592;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828415986230510592,'1020_S','getAbsolute',828000043201057792,'BigDecimal',' ',5,1,{ts'2020-02-17 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828415986230510592,'FC_1020_S','取绝对值',' ','返回一个数值，得到待算数对应的绝对值','举例： 薪酬项目X的值为-5，设置公式：薪酬项目A=取绝对值(薪酬项目X)，则计算结果为5；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828420289133438976;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828420289133438976,'1070_S','getRoundingOff',828000043201057792,'BigDecimal',' ',30,1,{ts'2020-02-18 00:00:00'},1,{ts'2020-06-28 00:00:00'},'1','C',0,null,'1',828420289133438976,'FC_1070_S','取四舍五入值',' ','返回一个数值，得到待算数按照小数点后精确位进行四舍五入处理后的值','举例1：薪酬项目X的值为5.42，设置公式：薪酬项目A=取四舍五入值(薪酬项目X,1)，则计算结果为5.4；  举例2：薪酬项目X的值为-5.56，设置公式：薪酬项目A=取四舍五入值(薪酬项目X,0)，则计算结果为-6；');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 1078040334518202368;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (1078040334518202368,'3100_S','ifLastSection',1073146021757887488,'boolean',' ',145,1,{ts'2021-01-27 00:00:00'},1,{ts'2021-01-27 00:00:00'},'1','C',0,null,'1',1078040334518202368,'FC_3100_S','当前为最后一段',' ','判断当前分段是否为最后一段，返回数据类型为：布尔型','举例：如果  当前为最后一段()  那么 结果=1  其余 结果=0');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828763374317093888;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828763374317093888,'2020_S','getCurrentYear',828000374131643392,'Integer',' ',55,1,{ts'2020-02-18 00:00:00'},1,{ts'2020-08-20 00:00:00'},'1','C',0,null,'1',828763374317093888,'FC_2020_S','取当前年',' ','返回值为数值，返回现在系统日期对应的年','举例：不需要设置任何参数，即  取当前年()，如果现在是2020年，返回结果为2020，如果现在是2022年，返回结果为2022');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828764174498031616;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828764174498031616,'2030_S','getCurrentMonth',828000374131643392,'Integer',' ',60,1,{ts'2020-02-18 00:00:00'},1,{ts'2020-08-20 00:00:00'},'1','C',0,null,'1',828764174498031616,'FC_2030_S','取当前月',' ','返回值为数值，返回现在系统日期对应的月','举例：不需要设置任何参数，即  取当前月()，如果现在是2020-08，返回结果为8');
DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 828764841232984064;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FNUMBER,FDEFINE,FFUNCTYPEID,FFUNCDATATYPE,FFUNCEXP,FINDEX,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FENABLE,FSTATUS,FDISABLERID,FDISABLEDATE,FISSYSPRESET,FMASTERID,FUNIQUECODE,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES (828764841232984064,'2040_S','getCurrentDay',828000374131643392,'Integer',' ',65,1,{ts'2020-02-18 00:00:00'},1,{ts'2020-08-20 00:00:00'},'1','C',0,null,'1',828764841232984064,'FC_2040_S','取当前日',' ','返回值为数值，返回现在系统日期对应的日','举例：不需要设置任何参数，即  取当前日()，如果现在是2020-08-18，返回结果为18');


DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+02/HN/DFY0';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+02/HN/DFY0',952866586673389568,'zh_CN','取日',' ','返回值为数值，返回日期对应的日','举例：薪酬项目A为"2001-07-18"，则 取日(薪酬项目A) ，返回结果为18');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+02/HN/DFY1';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+02/HN/DFY1',952866586673389568,'zh_TW','取日',' ','返回值為數值，返回日期對應的日','舉例：薪酬項目A為"2001-07-18"，則 取日(薪酬項目A) ，返回結果為18');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU2D1AC8JPG';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU2D1AC8JPG',829092666003209216,'zh_CN','文本转数值',' ','返回文本对应的数值，如果文本中存在非数字字符，则返回值为0','举例1： 文本转数值("2001") = 2001；    
举例2：薪酬项目A为6018.8，则公式：薪酬项目B=文本转数值(薪酬项目A) ，公式计算结果为6018.8；  ""中的文本只能是数字，不能为文本或者字母，如果""中的文本是取某个薪酬项目，也只能是显示数字的薪酬项目，不能是文本或者字母的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSHO3KQJSNS';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSHO3KQJSNS',828762358943213568,'zh_CN','提取部分文本',' ','返回待处理文本中按照给定起始位置、文本长度得到的文本数据（文本中不能出现+-*/等操作符，日期格式YYYY-MM-DD除外）','举例1：员工张三的职位名称为：财务经理，设置公式：薪酬项目A=提取部分文本([职位名称] ,3,2) ，则张三的薪酬项目A的计算结果“经理”；
举例2：职位名称的最后两个文本是经理的，入职日期小于2015-10-1的，通讯补贴为500，公式设置如下：  如果 提取部分文本([职位名称] ,取文本长度([职位名称])-1 ,2)="经理" 并且 [入职日期]<"2015-10-01" 那么 通讯补贴=500 其余 通讯补贴=0');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1PB138R479AT';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1PB138R479AT',1183297859148094464,'zh_CN','构建日期',' ','根据输入的年、月、日构成一个日期数据，返回数据类型：日期型','举例1：薪资所属年为2020，则构建日期(薪资所属年,12,10) ，返回结果为“2020-12-10”；
举例2：薪资所属年为2020，则构建日期(薪资所属年,2,0) ，返回结果为“2020-2-29”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KPSA88TTG35';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KPSA88TTG35',828193141147553792,'zh_CN','取余数',' ','返回 被除数/ 除数的余数值','举例：薪酬项目X的值为5，设置公式：薪酬项目A=取余数(薪酬项目X,2)，则计算结果为1；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KPSA88TTG36';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KPSA88TTG36',828193141147553792,'zh_TW','取餘數',' ','返回 被除數/ 除數的餘數值','舉例：薪酬項目X的值為5，設置公式：薪酬項目A=取餘數(薪酬項目X,2)，則計算結果為1；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSGR6ZBILOJ';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSGR6ZBILOJ',828757430501795840,'zh_TW','按小數位數向上取值',' ','返回一個數值，得到待算數按照小數點後精確位大於或等於參數值的最小小數','舉例1：薪酬項目X的值為1.352，設置公式：薪酬項目A=按小數位數向上取值(薪酬項目X,2)，則計算結果為1.36；  舉例2：薪酬項目X的值為1.35，設置公式：薪酬項目A=按小數位數向上取值(薪酬項目X,2)，則計算結果為1.35；  注意：薪酬項目A的數據精度需要在該薪酬項目數據類型中調整至大於或等於精確的小數位；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSH/NM6DNRN';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSH/NM6DNRN',828758864962143232,'zh_CN','按小数位数向下取值',' ','返回一个数值，得到待算数按照小数点后精确位小于或等于参数值的最大小数','举例1：薪酬项目X的值为1.352，设置公式：薪酬项目A=按小数位数向下取值(薪酬项目X,2)，则计算结果为1.35；  举例2：薪酬项目X的值为1.35，设置公式：薪酬项目A=按小数位数向下取值(薪酬项目X,2)，则计算结果为1.35；  注意：薪酬项目A的数据精度需要在该薪酬项目数据类型中调整至大于或等于精确的小数位；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSH/NM6DNRO';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSH/NM6DNRO',828758864962143232,'zh_TW','按小數位數向下取值',' ','返回一個數值，得到待算數按照小數點後精確位小於或等於參數值的最大小數','舉例1：薪酬項目X的值為1.352，設置公式：薪酬項目A=按小數位數向下取值(薪酬項目X,2)，則計算結果為1.35；  舉例2：薪酬項目X的值為1.35，設置公式：薪酬項目A=按小數位數向下取值(薪酬項目X,2)，則計算結果為1.35；  注意：薪酬項目A的數據精度需要在該薪酬項目數據類型中調整至大於或等於精確的小數位；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSGR6ZBILOI';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSGR6ZBILOI',828757430501795840,'zh_CN','按小数位数向上取值',' ','返回一个数值，得到待算数按照小数点后精确位大于或等于参数值的最小小数','举例1：薪酬项目X的值为1.352，设置公式：薪酬项目A=按小数位数向上取值(薪酬项目X,2)，则计算结果为1.36；  举例2：薪酬项目X的值为1.35，设置公式：薪酬项目A=按小数位数向上取值(薪酬项目X,2)，则计算结果为1.35；  注意：薪酬项目A的数据精度需要在该薪酬项目数据类型中调整至大于或等于精确的小数位；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQUZ33I5P7=';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQUZ33I5P7=',828415986230510592,'zh_CN','取绝对值',' ','返回一个数值，得到待算数对应的绝对值','举例： 薪酬项目X的值为-5，设置公式：薪酬项目A=取绝对值(薪酬项目X)，则计算结果为5；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQUZ33I5P7A';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQUZ33I5P7A',828415986230510592,'zh_TW','取絕對值',' ','返回一個數值，得到待算數對應的絕對值','舉例： 薪酬項目X的值為-5，設置公式：薪酬項目A=取絕對值(薪酬項目X)，則計算結果為5；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQV4JG4P7SQ';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQV4JG4P7SQ',828417007912633344,'zh_CN','取最大值',' ','返回两个待比较数中较大的那个数值','举例1：薪酬项目X的值为-5.4，薪酬项目Y的值为-5.7，设置公式：薪酬项目A= 取最大值(薪酬项目X,薪酬项目Y)，则计算结果为-5.4；  举例2：薪酬项目X的值为5.4，薪酬项目Y的值为5.7，设置公式：薪酬项目A= 取最大值(薪酬项目X,薪酬项目Y)，则计算结果为5.7；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1PB138R479AU';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1PB138R479AU',1183297859148094464,'zh_TW','構建日期',' ','根據輸入的年、月、日構成一個日期數據，返回數據類型：日期型','舉例1：薪資所屬年為2020，則構建日期(薪資所屬年,12,10) ，返回結果為“2020-12-10”；
舉例2：薪資所屬年為2020，則構建日期(薪資所屬年,2,0) ，返回結果為“2020-2-29”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+0A4K5JTOO+';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+0A4K5JTOO+',952915449803285504,'zh_CN','文本型转日期型',' ','文本类型转为日期类型，获取到日期类型的结果','举例1: 文本型转日期型("2020-08-08"，"yyyy-MM-dd")，返回结果为（日期类型）：2020-08-08； 
举例2: 文本型转日期型("2020/08/08"，"yyyy/MM/dd")，返回结果为（日期类型）：2020/08/08');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+0A4K5JTOO/';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+0A4K5JTOO/',952915449803285504,'zh_TW','文本型轉日期型',' ','文本類型轉為日期類型，獲取到日期類型的結果','舉例1: 文本型轉日期型("2020-08-08"，"yyyy-MM-dd")，返回結果為（日期類型）：2020-08-08； 
舉例2: 文本型轉日期型("2020/08/08"，"yyyy/MM/dd")，返回結果為（日期類型）：2020/08/08');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+097RR=INXR';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+097RR=INXR',952905184160359424,'zh_CN','日期型转文本型',' ','对日期的字段做日期格式的转换，按照选定的日期格式显示转换结果','举例: 如果 入职日期=2020-08-08，则 日期型转文本型(入职日期，"yyyy-MM-dd")，返回结果为（文本型）："2020-08-08"');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQV4JG4P7SR';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQV4JG4P7SR',828417007912633344,'zh_TW','取最大值',' ','返回兩個待比較數中較大的那個數值','舉例1：薪酬項目X的值為-5.4，薪酬項目Y的值為-5.7，設置公式：薪酬項目A= 取最大值(薪酬項目X,薪酬項目Y)，則計算結果為-5.4；  舉例2：薪酬項目X的值為5.4，薪酬項目Y的值為5.7，設置公式：薪酬項目A= 取最大值(薪酬項目X,薪酬項目Y)，則計算結果為5.7；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQV=52EURHY';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQV=52EURHY',828417777173152768,'zh_CN','取最小值',' ','返回两个待比较数中较小的那个数值','举例1：薪酬项目X的值为-5.4，薪酬项目Y的值为-5.7，设置公式：薪酬项目A= 取最小值(薪酬项目X,薪酬项目Y)，则计算结果为-5.7；  举例2：薪酬项目X的值为5.4，薪酬项目Y的值为5.7，设置公式：薪酬项目A= 取最小值(薪酬项目X,薪酬项目Y)，则计算结果为5.4；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQV=52EURHZ';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQV=52EURHZ',828417777173152768,'zh_TW','取最小值',' ','返回兩個待比較數中較小的那個數值','舉例1：薪酬項目X的值為-5.4，薪酬項目Y的值為-5.7，設置公式：薪酬項目A= 取最小值(薪酬項目X,薪酬項目Y)，則計算結果為-5.7；  舉例2：薪酬項目X的值為5.4，薪酬項目Y的值為5.7，設置公式：薪酬項目A= 取最小值(薪酬項目X,薪酬項目Y)，則計算結果為5.4；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQVEN8D5T0L';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQVEN8D5T0L',828418530730198016,'zh_CN','向上取整',' ','返回一个数值，得到大于或等于参数值的最小整数','举例1：薪酬项目X的值为5.42，设置公式：薪酬项目A=向上取整(薪酬项目X) ，则计算结果为6；  举例2：薪酬项目X的值为-5.42，设置公式：薪酬项目A=向上取整(薪酬项目X) ，则计算结果为-5；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQVEN8D5T0M';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQVEN8D5T0M',828418530730198016,'zh_TW','向上取整',' ','返回一個數值，得到大於或等於參數值的最小整數','舉例1：薪酬項目X的值為5.42，設置公式：薪酬項目A=向上取整(薪酬項目X) ，則計算結果為6；  舉例2：薪酬項目X的值為-5.42，設置公式：薪酬項目A=向上取整(薪酬項目X) ，則計算結果為-5；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQVKEAC+98/';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQVKEAC+98/',828419322707067904,'zh_CN','向下取整',' ','返回一个数值，得到小于或等于参数值的最大整数','举例：薪酬项目X的值为-5.42，设置公式：薪酬项目A=向下取整(薪酬项目X)，则计算结果为-6；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQVKEAC+980';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQVKEAC+980',828419322707067904,'zh_TW','向下取整',' ','返回一個數值，得到小於或等於參數值的最大整數','舉例：薪酬項目X的值為-5.42，設置公式：薪酬項目A=向下取整(薪酬項目X)，則計算結果為-6；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQVRFZNG50P';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQVRFZNG50P',828420289133438976,'zh_CN','取四舍五入值',' ','返回一个数值，得到待算数按照小数点后精确位进行四舍五入处理后的值','举例1：薪酬项目X的值为5.42，设置公式：薪酬项目A=取四舍五入值(薪酬项目X,1)，则计算结果为5.4；  举例2：薪酬项目X的值为-5.56，设置公式：薪酬项目A=取四舍五入值(薪酬项目X,0)，则计算结果为-6；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KQVRFZNG50Q';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KQVRFZNG50Q',828420289133438976,'zh_TW','取四舍五入值',' ','返回一個數值，得到待算數按照小數點後精確位進行四舍五入處理後的值','舉例1：薪酬項目X的值為5.42，設置公式：薪酬項目A=取四舍五入值(薪酬項目X,1)，則計算結果為5.4；  舉例2：薪酬項目X的值為-5.56，設置公式：薪酬項目A=取四舍五入值(薪酬項目X,0)，則計算結果為-6；');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+097RR=INXS';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+097RR=INXS',952905184160359424,'zh_TW','日期型轉文本型',' ','對日期的字段做日期格式的轉換，按照選定的日期格式顯示轉換結果','舉例: 如果 入職日期=2020-08-08，則 取格式化日期(入職日期，"yyyy-MM-dd")，返回結果為（文本型）："2020-08-08"');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+/NRX6U7NCM';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+/NRX6U7NCM',952779621009501184,'zh_TW','取年',' ','返回值為數值，返回日期對應的年','舉例：薪酬項目A為"2001-07-18"，則 取年(薪酬項目A) ，返回結果為2001');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+/NRX6U7NCN';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+/NRX6U7NCN',952779621009501184,'zh_CN','取年',' ','返回值为数值，返回日期对应的年','举例：薪酬项目A为"2001-07-18"，则 取年(薪酬项目A) ，返回结果为2001');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSI4706J72J';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSI4706J72J',828764841232984064,'zh_TW','取當前日',' ','返回值為數值，返回現在係統日期對應的日','舉例：不需要設置任何參數，即  取當前日()，如果現在是2020-08-18，返回結果為18');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSI/BJF/050';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSI/BJF/050',828764174498031616,'zh_CN','取当前月',' ','返回值为数值，返回现在系统日期对应的月','举例：不需要设置任何参数，即  取当前月()，如果现在是2020-08，返回结果为8');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSHVI4Q6H/E';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSHVI4Q6H/E',828763374317093888,'zh_CN','取当前年',' ','返回值为数值，返回现在系统日期对应的年','举例：不需要设置任何参数，即  取当前年()，如果现在是2020年，返回结果为2020，如果现在是2022年，返回结果为2022');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSHVI4Q6H/F';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSHVI4Q6H/F',828763374317093888,'zh_TW','取當前年',' ','返回值為數值，返回現在係統日期對應的年','舉例：不需要設置任何參數，即  取當前年()，如果現在是2020年，返回結果為2020，如果現在是2022年，返回結果為2022');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSI/BJF/051';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSI/BJF/051',828764174498031616,'zh_TW','取當前月',' ','返回值為數值，返回現在係統日期對應的月','舉例：不需要設置任何參數，即  取當前月()，如果現在是2020-08，返回結果為8');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSI4706J72I';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSI4706J72I',828764841232984064,'zh_CN','取当前日',' ','返回值为数值，返回现在系统日期对应的日','举例：不需要设置任何参数，即  取当前日()，如果现在是2020-08-18，返回结果为18');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU2D1AC8JPH';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU2D1AC8JPH',829092666003209216,'zh_TW','文本轉數值',' ','返回文本對應的數值，如果文本中存在非數字字符，則返回值為0','舉例1： 文本轉數值("2001") = 2001；    
舉例2：薪酬項目A為6018.8，則公式：薪酬項目B=文本轉數值(薪酬項目A) ，公式計算結果為6018.8；  ""中的文本隻能是數字，不能為文本或者字母，如果""中的文本是取某個薪酬項目，也隻能是顯示數字的薪酬項目，不能是文本或者字母的薪酬項目');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+03OSQJS+4M';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+03OSQJS+4M',952875545715123200,'zh_CN','取月',' ','返回值为数值，返回日期对应的月','举例：薪酬项目A为"2001-07-18"，则 取月(薪酬项目A) ，返回结果为7');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1+03OSQJS+4L';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1+03OSQJS+4L',952875545715123200,'zh_TW','取月',' ','返回值為數值，返回日期對應的月','舉例：薪酬項目A為"2001-07-18"，則 取月(薪酬項目A) ，返回結果為7');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1CDS++W95UQD';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1CDS++W95UQD',1078039172100404224,'zh_CN','当前为第一段',' ','判断当前分段是否为第一段，返回数据类型为：布尔型','举例：如果  当前为第一段()  那么 结果=1  其余 结果=0');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1CDS++W95UQE';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1CDS++W95UQE',1078039172100404224,'zh_TW','當前為第一段',' ','判斷當前分段是否為第一段，返回數據類型為：布爾型','舉例：如果  當前為第一段()  那麼 結果=1  其餘 結果=0');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1CDS6G3JFF5M';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1CDS6G3JFF5M',1078040334518202368,'zh_CN','当前为最后一段',' ','判断当前分段是否为最后一段，返回数据类型为：布尔型','举例：如果  当前为最后一段()  那么 结果=1  其余 结果=0');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '1CDS6G3JFF5L';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('1CDS6G3JFF5L',1078040334518202368,'zh_TW','當前為最後一段',' ','判斷當前分段是否為最後一段，返回數據類型為：布爾型','舉例：如果  當前為最後一段()  那麼 結果=1  其餘 結果=0');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '17WQETRIRD66';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('17WQETRIRD66',1033154301960249344,'zh_CN','取相差自然天数',' ','返回两个待比较日期的自然天数，返回数据类型为：数值型','举例：薪酬项目A=“2020-6-1”  薪酬项目B=“2020-6-30”  取相差自然天数(薪酬项目A,薪酬项目B)=29');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU0P492FOAW';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU0P492FOAW',829083619107585024,'zh_CN','取年月间相差月数',' ','返回值为数值型，依据设定的年月值与初始的年月进行比较，返回相差的月份数','举例： 取年月间相差月数("201301",2014,1) = 12');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU0P492FOAX';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU0P492FOAX',829083619107585024,'zh_TW','取年月間相差月數',' ','返回值為數值型，依據設定的年月值與初始的年月進行比較，返回相差的月份數','舉例： 取年月間相差月數("201301",2014,1) = 12');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '17WQETRIRD67';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('17WQETRIRD67',1033154301960249344,'zh_TW','取相差自然天數',' ','返回兩個待比較日期的自然天數，返回數據類型為：數值型','舉例：薪酬項目A=“2020-6-1”  薪酬項目B=“2020-6-30”  取相差自然天數(薪酬項目A,薪酬項目B)=29');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU21FIT5763';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU21FIT5763',829090935534270464,'zh_TW','取相差工作天數',' ','返回兩個待比較日期之間相隔的工作日天數，這裏的工作日是指自然月中除去周六和周日，與係統中的工作日曆無關','舉例：薪酬項目A=“2020-6-1”  薪酬項目B=“2020-6-30”  取相差工作天數(薪酬項目A,薪酬項目B)=21');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU21FIT5762';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU21FIT5762',829090935534270464,'zh_CN','取相差工作天数',' ','返回两个待比较日期之间相隔的工作日天数，这里的工作日是指自然月中除去周六和周日，与系统中的工作日历无关','举例：薪酬项目A=“2020-6-1”  薪酬项目B=“2020-6-30”  取相差工作天数(薪酬项目A,薪酬项目B)=21');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU2MWDFD33X';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU2MWDFD33X',829094013952079872,'zh_CN','数值转文本',' ','返回数值对应的文本','举例： 数值转文本(2001.0) = "2001.0"');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU2MWDFD33Y';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU2MWDFD33Y',829094013952079872,'zh_TW','數值轉文本',' ','返回數值對應的文本','舉例： 數值轉文本(2001.0) = "2001.0"');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSHFX5ZNWI7';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSHFX5ZNWI7',828761231505909760,'zh_CN','取文本长度',' ','返回待处理文本中包含字符的数目（文本中不能出现+-*/等操作符，日期格式YYYY-MM-DD除外）','举例：员工张三的职位名称为：财务经理，设置公式：薪酬项目A= 取文本长度([职位名称]) ，则张三的薪酬项目A的计算结果为4');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSHFX5ZNWI8';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSHFX5ZNWI8',828761231505909760,'zh_TW','取文本長度',' ','返回待處理文本中包含字符的數目（文本中不能出現+-*/等操作符，日期格式YYYY-MM-DD除外）','舉例：員工張三的職位名稱為：財務經理，設置公式：薪酬項目A= 取文本長度([職位名稱]) ，則張三的薪酬項目A的計算結果為4');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU1=N=/0A0Y';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU1=N=/0A0Y',829086845869538304,'zh_CN','增减年数',' ','返回在初始日期基础上增加年数后得到的新日期','举例：薪酬项目A=“2020-7-10”，则 增减年数(薪酬项目A，1)，返回结果为日期型“2021-7-10”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU1=N=/0A0Z';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU1=N=/0A0Z',829086845869538304,'zh_TW','增減年數',' ','返回在初始日期基礎上增加年數後得到的新日期','舉例：薪酬項目A=“2020-7-10”，則 增減年數(薪酬項目A，1)，返回結果為日期型“2021-7-10”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSIHTT58L/3';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSIHTT58L/3',828766846101907456,'zh_CN','取两个日期间相差年数',' ','返回值为数值，返回两个待比较日期之间相隔的年数','举例：薪酬项目A=“2018-6-1”  薪酬项目B=“2020-12-30” 取两个日期间相差年数(薪酬项目A,薪酬项目B,25,7)=3  函数会先计算出两个日期间的相差2年6个月29天，再对天数进行处理，满25天，月+1，再对月数进行处理，满7个月，年+1，最后得到3年');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU1J3SOJQLC';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU1J3SOJQLC',829088146062063616,'zh_CN','增减月数',' ','返回在初始日期基础上增加月数后得到的新日期','举例1：薪酬项目A=“2020-7-20”，则 增减月数(薪酬项目A，1)，返回结果为日期型“2020-8-20”  举例2：薪酬项目A=“2020-8-31”，则 增减月数(薪酬项目A，1)，返回结果为日期型“2020-9-30”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU1J3SOJQLD';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU1J3SOJQLD',829088146062063616,'zh_TW','增減月數',' ','返回在初始日期基礎上增加月數後得到的新日期','舉例1：薪酬項目A=“2020-7-20”，則 增減月數(薪酬項目A，1)，返回結果為日期型“2020-8-20”  舉例2：薪酬項目A=“2020-8-31”，則 增減月數(薪酬項目A，1)，返回結果為日期型“2020-9-30”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU1TJXWJA+J';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU1TJXWJA+J',829089578668309504,'zh_TW','增減日數',' ','返回在初始日期基礎上增加天數後得到的新日期','舉例1：薪酬項目A=“2020-7-30”，則 增減日數(薪酬項目A，5)，返回結果為日期型“2020-8-4”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU1TJXWJA+I';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU1TJXWJA+I',829089578668309504,'zh_CN','增减日数',' ','返回在初始日期基础上增加天数后得到的新日期','举例1：薪酬项目A=“2020-7-30”，则 增减日数(薪酬项目A，5)，返回结果为日期型“2020-8-4”');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSIHTT58L/4';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSIHTT58L/4',828766846101907456,'zh_TW','取兩個日期間相差年數',' ','返回值為數值，返回兩個待比較日期之間相隔的年數','舉例：薪酬項目A=“2018-6-1”  薪酬項目B=“2020-12-30” 取兩個日期間相差年數(薪酬項目A,薪酬項目B,25,7)=3  函數會先計算出兩個日期間的相差2年6個月29天，再對天數進行處理，滿25天，月+1，再對月數進行處理，滿7個月，年+1，最後得到3年');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU110T6934J';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU110T6934J',829085528161827840,'zh_CN','取两个日期间相差月数',' ','返回两个待比较日期的年月之间相隔的月数，返回数据类型为：数值型 ','举例：薪酬项目A=“2018-6-1”  薪酬项目B=“2020-12-30” 取两个日期间相差月数(薪酬项目A,薪酬项目B,25)=7  函数会先计算出两个日期间的相差2年6个月29天，对天数进行处理，满25天，月+1，得到31个月');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KU110T6934K';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KU110T6934K',829085528161827840,'zh_TW','取兩個日期間相差月數',' ','返回兩個待比較日期的年月之間相隔的月數，返回數據類型為：數值型 ','舉例：薪酬項目A=“2018-6-1”  薪酬項目B=“2020-12-30” 取兩個日期間相差月數(薪酬項目A,薪酬項目B,25)=7  函數會先計算出兩個日期間的相差2年6個月29天，對天數進行處理，滿25天，月+1，得到31個月');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSHO3KQJSNT';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSHO3KQJSNT',828762358943213568,'zh_TW','提取部分文本',' ','返回待處理文本中按照給定起始位置、文本長度得到的文本數據（文本中不能出現+-*/等操作符，日期格式YYYY-MM-DD除外）','舉例1：員工張三的職位名稱為：財務經理，設置公式：薪酬項目A=提取部分文本([職位名稱] ,3,2) ，則張三的薪酬項目A的計算結果“經理”；
舉例2：職位名稱的最後兩個文本是經理的，入職日期小於2015-10-1的，通訊補貼為500，公式設置如下：  如果 提取部分文本([職位名稱] ,取文本長度([職位名稱])-1 ,2)="經理" 並且 [入職日期]<"2015-10-01" 那麼 通訊補貼=500 其餘 通訊補貼=0');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSIBN76VFAS';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSIBN76VFAS',828765999531976704,'zh_CN','取某月包含天数',' ','返回值为数值，返回待处理日期对应的月份包含的自然天数','举例：薪酬项目A为"2001-07-18"，则 取某月包含天数(薪酬项目A) ，返回结果为31');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '0KSIBN76VFAT';
INSERT INTO T_HSBS_FUNCDEFINE_L (FPKID,FID,FLOCALEID,FNAME,FSIMPLENAME,FDESCRIPTION,FEXAMPLE) 
VALUES ('0KSIBN76VFAT',828765999531976704,'zh_TW','取某月包含天數',' ','返回值為數值，返回待處理日期對應的月份包含的自然天數','舉例：薪酬項目A為"2001-07-18"，則 取某月包含天數(薪酬項目A) ，返回結果為31');


DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 952779636973022208;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (952779636973022208,952779621009501184,1,'Date','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期；如果需要指定日期，需使用函数将字符串转为日期类型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 952866586690166784;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (952866586690166784,952866586673389568,1,'Date','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期；如果需要指定日期，需使用函数将字符串转为日期类型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 952875545723511808;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (952875545723511808,952875545715123200,1,'Date','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期；如果需要指定日期，需使用函数将字符串转为日期类型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 952905184168748032;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (952905184168748032,952905184160359424,1,'Date','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829083619124362240;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829083619124362240,829083619107585024,1,'String','初始年月','文本型，初始年月值（格式YYYYMM），可传入文本类型的薪酬项目，值为具体的YYYYMM文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829092666019986432;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829092666019986432,829092666003209216,1,'String','待处理文本','文本型，薪酬项目或需要处理的文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828761231539464192;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828761231539464192,828761231505909760,1,'String','待处理文本','文本型，待计算长度的文本，可传入薪酬信息集内的文本型的字段，比如：[职位名称]、薪酬项目名称或文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828762358959990784;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828762358959990784,828762358943213568,1,'String','待处理文本','文本型，提取文本数据中的部分文本，可传入文本型计算元素，比如：[职位名称]、薪酬项目名称或文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828762358959990786;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828762358959990786,828762358943213568,3,'Integer','提取文本长度','数值型，需要提取文本的长度，传入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828762358959990785;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828762358959990785,828762358943213568,2,'Integer','起始位置','数值型，文本数据中开始的文本序号（从1开始计数），传入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829086845894704129;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829086845894704129,829086845869538304,2,'Integer',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829088146087229441;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829088146087229441,829088146062063616,2,'Integer',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829089578685086721;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829089578685086721,829089578668309504,2,'Integer',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828766846118684673;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828766846118684673,828766846101907456,2,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828766846118684672;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828766846118684672,828766846101907456,1,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1178932223710074880;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1178932223710074880,829085528161827840,3,'Integer',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1178926261901202432;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1178926261901202432,828766846101907456,3,'Integer',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1178926261901202433;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1178926261901202433,828766846101907456,4,'Integer',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 952915449811674112;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (952915449811674112,952915449803285504,1,'String','文本类型日期','文本型，可传入文本类型日期（"2020-01-01"），可以自行定义');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 952915449811674113;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (952915449811674113,952915449803285504,2,'String','日期格式','文本型，可传入需要转换的日期的格式，如果日期格式为空，则按照默认日期格式（yyyy-MM-dd）进行转换');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 952905184168748033;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (952905184168748033,952905184160359424,2,'String','日期格式','文本型，可传入需要转换的日期的格式，如果日期格式为空，则按照默认日期格式（yyyy-MM-dd）进行转换');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829088146087229440;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829088146087229440,829088146062063616,1,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829086845894704128;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829086845894704128,829086845869538304,1,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829083619124362241;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829083619124362241,829083619107585024,2,'Integer','待比较年','数值型，待用于比较的年份，可传入数值类型的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829083619124362242;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829083619124362242,829083619107585024,3,'Integer','待比较月','数值型，待用于比较的月份，可传入数值类型的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829089578685086720;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829089578685086720,829089578668309504,1,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829090935559436288;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829090935559436288,829090935534270464,1,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829090935559436289;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829090935559436289,829090935534270464,2,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1033154315927281664;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1033154315927281664,1033154301960249344,1,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1033154315927281665;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1033154315927281665,1033154301960249344,2,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829094013977245696;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829094013977245696,829094013952079872,1,'BigDecimal','待处理数值','数值型，需要处理的数值，可传入数值类型的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829085528186993664;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829085528186993664,829085528161827840,1,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 829085528186993665;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (829085528186993665,829085528161827840,2,'Date',' ',' ');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1183297859500416000;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1183297859500416000,1183297859148094464,1,'BigDecimal','年','传入一个数值，作为构建日期的年；范围：大于0的整数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1183297859500416001;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1183297859500416001,1183297859148094464,2,'BigDecimal','月','传入一个数值，作为构建日期的月；范围：1到12的整数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 1183297859500416002;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (1183297859500416002,1183297859148094464,3,'BigDecimal','日','传入一个数值，作为构建日期的日；当输入为0时，返回月的最后一天 范围：0到31的整数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828765999548753920;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828765999548753920,828765999531976704,1,'String','待处理日期','文本型，当前日期值（格式YYYY-MM-DD），可传入文本类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828193141181108224;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828193141181108224,828193141147553792,1,'BigDecimal','被除数','数值型或金额型，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828193141181108225;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828193141181108225,828193141147553792,2,'BigDecimal','除数','数值型或金额型，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828757430526961664;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828757430526961664,828757430501795840,1,'BigDecimal','待算数','数值型或金额型，待处理的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828757430526961665;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828757430526961665,828757430501795840,2,'Integer','精确小数位','数值型，需精确到小数点后第几位，输入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828758864978920448;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828758864978920448,828758864962143232,1,'BigDecimal','待算数','数值型或金额型，待处理的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828758864978920449;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828758864978920449,828758864962143232,2,'Integer','精确小数位','数值型，需精确到小数点后第几位，输入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828415986255676416;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828415986255676416,828415986230510592,1,'BigDecimal','待算数','数值型或金额型，待计算的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828417007921021952;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828417007921021952,828417007912633344,1,'BigDecimal','待比较数1','数值型或金额型，待比较大小的数值1，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828417007921021953;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828417007921021953,828417007912633344,2,'BigDecimal','待比较数2','数值型或金额型，待比较大小的数值2，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828417777198318592;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828417777198318592,828417777173152768,1,'BigDecimal','待比较数1','数值型或金额型，待比较大小的数值1，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828417777198318593;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828417777198318593,828417777173152768,2,'BigDecimal','待比较数2','数值型或金额型，待比较大小的数值2，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828418530746975232;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828418530746975232,828418530730198016,1,'BigDecimal','待算数','数值型或金额型，待计算的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828419322732233728;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828419322732233728,828419322707067904,1,'BigDecimal','待算数','数值型或金额型，待计算的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828420289150216192;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828420289150216192,828420289133438976,1,'BigDecimal','待算数','数值型或金额型，待处理的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FENTRYID = 828420289150216193;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FENTRYID,FID,FSEQ,FPARAMDATATYPE,FPARAMNAME,FPARAMDESC) 
VALUES (828420289150216193,828420289133438976,2,'Integer','精确小数位','数值型，需精确到小数点后第几位，输入数字');


DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+/NRX6U7NCP';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+/NRX6U7NCP',952779636973022208,'zh_CN','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期；如果需要指定日期，需使用函数将字符串转为日期类型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+/NRX6U7NCO';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+/NRX6U7NCO',952779636973022208,'zh_TW','日期','日期型，可傳入日期類型的薪酬項目，值為具體的日期；如果需要指定日期，需使用函數將字符串轉為日期類型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+02/HN3/W3J';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+02/HN3/W3J',952866586690166784,'zh_CN','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期；如果需要指定日期，需使用函数将字符串转为日期类型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+02/HN3/W3K';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+02/HN3/W3K',952866586690166784,'zh_TW','日期','日期型，可傳入日期類型的薪酬項目，值為具體的日期；如果需要指定日期，需使用函數將字符串轉為日期類型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+03OSQJS+4O';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+03OSQJS+4O',952875545723511808,'zh_CN','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期；如果需要指定日期，需使用函数将字符串转为日期类型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+03OSQJS+4N';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+03OSQJS+4N',952875545723511808,'zh_TW','日期','日期型，可傳入日期類型的薪酬項目，值為具體的日期；如果需要指定日期，需使用函數將字符串轉為日期類型');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+097RR=INXT';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+097RR=INXT',952905184168748032,'zh_CN','日期','日期型，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+097RR=INXU';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+097RR=INXU',952905184168748032,'zh_TW','日期','日期型，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+0A4K5JTOO2';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+0A4K5JTOO2',952915449811674113,'zh_CN','日期格式','文本型，可传入需要转换的日期的格式，如果日期格式为空，则按照默认日期格式（yyyy-MM-dd）进行转换');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+0A4K5JTOO3';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+0A4K5JTOO3',952915449811674113,'zh_TW','日期格式','文本型，可傳入需要轉換的日期的格式，如果日期格式為空，則按照默認日期格式（yyyy-MM-dd）進行轉換');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+0A4K5JTOO0';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+0A4K5JTOO0',952915449811674112,'zh_CN','文本类型日期','文本型，可传入文本类型日期（"2020-01-01"），可以自行定义');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+0A4K5JTOO1';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+0A4K5JTOO1',952915449811674112,'zh_TW','文本類型日期','文本型，可傳入文本類型日期（"2020-01-01"），可以自行定義');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+097RR=INXV';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+097RR=INXV',952905184168748033,'zh_CN','日期格式','文本型，可传入需要转换的日期的格式，如果日期格式为空，则按照默认日期格式（yyyy-MM-dd）进行转换');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1+097RR=INXW';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1+097RR=INXW',952905184168748033,'zh_TW','日期格式','文本型，可傳入需要轉換的日期的格式，如果日期格式為空，則按照默認日期格式（yyyy-MM-dd）進行轉換');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1OT4DYIGN3DX';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1OT4DYIGN3DX',1178932223710074880,'zh_CN','月取整天数','比较日期间相差月数，对于不满一月情况的处理，多出天数，到达参数标准算作一个月');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1OT4DYIGN3DY';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1OT4DYIGN3DY',1178932223710074880,'zh_TW','月取整天數','比較日期間相差月數，對於不滿一月情況的處理，多出天數，到達參數標準算作一個月');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '17WQETRIRD68';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('17WQETRIRD68',1033154315927281664,'zh_CN','待比较日期1','日期型，待比较的日期1，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '17WQETRIRD69';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('17WQETRIRD69',1033154315927281664,'zh_TW','待比較日期1','日期型，待比較的日期1，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '17WQETRIRD6=';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('17WQETRIRD6=',1033154315927281665,'zh_CN','待比较日期2','日期型，待比较的日期2，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '17WQETRIRD6A';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('17WQETRIRD6A',1033154315927281665,'zh_TW','待比較日期2','日期型，待比較的日期2，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU110T6934L';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU110T6934L',829085528186993664,'zh_CN','待比较日期1','传入日期，或日期类型的薪酬项目，或返回日期类型的函数取数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU110T6934M';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU110T6934M',829085528186993664,'zh_TW','待比較日期1','傳入日期，或日期類型的薪酬項目，或返回日期類型的函數取數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU110T6934N';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU110T6934N',829085528186993665,'zh_CN','待比较日期2','传入日期，或日期类型的薪酬项目，或返回日期类型的函数取数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU110T6934O';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU110T6934O',829085528186993665,'zh_TW','待比較日期2','傳入日期，或日期類型的薪酬項目，或返回日期類型的函數取數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1=N=/0A1+';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1=N=/0A1+',829086845894704128,'zh_CN','初始日期','日期型，初始日期值，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1=N=/0A1/';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1=N=/0A1/',829086845894704128,'zh_TW','初始日期','日期型，初始日期值，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1J3SOJQLE';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1J3SOJQLE',829088146087229440,'zh_CN','初始日期','日期型，初始日期值，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1J3SOJQLF';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1J3SOJQLF',829088146087229440,'zh_TW','初始日期','日期型，初始日期值，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1TJXWJA+K';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1TJXWJA+K',829089578685086720,'zh_CN','初始日期','日期型，初始日期值，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1TJXWJA+L';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1TJXWJA+L',829089578685086720,'zh_TW','初始日期','日期型，初始日期值，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU21FIT5764';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU21FIT5764',829090935559436288,'zh_CN','待比较日期1','日期型，待比较的日期1，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU21FIT5765';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU21FIT5765',829090935559436288,'zh_TW','待比較日期1','日期型，待比較的日期1，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU21FIT5766';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU21FIT5766',829090935559436289,'zh_CN','待比较日期2','日期型，待比较的日期2，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU21FIT5767';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU21FIT5767',829090935559436289,'zh_TW','待比較日期2','日期型，待比較的日期2，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1=N=/0A10';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1=N=/0A10',829086845894704129,'zh_CN','增加年数','数值型，增加的年数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1=N=/0A11';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1=N=/0A11',829086845894704129,'zh_TW','增加年數','數值型，增加的年數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1J3SOJQLG';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1J3SOJQLG',829088146087229441,'zh_CN','增加月数','数值型，增加的月数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1J3SOJQLH';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1J3SOJQLH',829088146087229441,'zh_TW','增加月數','數值型，增加的月數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1TJXWJA+M';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1TJXWJA+M',829089578685086721,'zh_CN','增加天数','数值型，增加的天数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU1TJXWJA+N';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU1TJXWJA+N',829089578685086721,'zh_TW','增加天數','數值型，增加的天數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSIHTT58L/5';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSIHTT58L/5',828766846118684672,'zh_CN','待比较日期1','日期型，待比较的日期1，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSIHTT58L/6';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSIHTT58L/6',828766846118684672,'zh_TW','待比較日期1','日期型，待比較的日期1，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSIHTT58L/7';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSIHTT58L/7',828766846118684673,'zh_CN','待比较日期2','日期型，待比较的日期2，可传入日期类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSIHTT58L/8';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSIHTT58L/8',828766846118684673,'zh_TW','待比較日期2','日期型，待比較的日期2，可傳入日期類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1OT3=H7RS7T2';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1OT3=H7RS7T2',1178926261901202432,'zh_CN','月取整天数','整数型，比较日期间相差月数，对于不满一月情况的处理，多出天数，到达参数标准算作一个月；参数为0时，忽略多出天数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1OT3=H7RS7T3';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1OT3=H7RS7T3',1178926261901202432,'zh_TW','月取整天數','整數型，比較日期間相差月數，對於不滿一月情況的處理，多出天數，到達參數標準算作一個月；參數為0時，忽略多出天數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1OT3=H7RS7T4';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1OT3=H7RS7T4',1178926261901202433,'zh_CN','年取整月数','整数型，比较日期间相差年数，对于不满一年情况的处理，多出月数，到达参数标准算作一年；参数为0时，忽略多出月数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1OT3=H7RS7T5';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1OT3=H7RS7T5',1178926261901202433,'zh_TW','年取整月數','整數型，比較日期間相差年數，對於不滿一年情況的處理，多出月數，到達參數標準算作一年；參數為0時，忽略多出月數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1PB138R479AV';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1PB138R479AV',1183297859500416000,'zh_CN','年','传入一个数值，作为构建日期的年；范围：大于0的整数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1PB138R479AW';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1PB138R479AW',1183297859500416000,'zh_TW','年','傳入一個數值，作為構建日期的年；範圍：大於0的整數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU0P492FOB+';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU0P492FOB+',829083619124362241,'zh_CN','待比较年','数值型，待用于比较的年份，可传入数值类型的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU0P492FOB/';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU0P492FOB/',829083619124362241,'zh_TW','待比較年','數值型，待用於比較的年份，可傳入數值類型的薪酬項目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1PB138R479AX';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1PB138R479AX',1183297859500416001,'zh_CN','月','传入一个数值，作为构建日期的月；范围：1到12的整数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1PB138R479AY';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1PB138R479AY',1183297859500416001,'zh_TW','月','傳入一個數值，作為構建日期的月；範圍：1到12的整數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1PB138R479AZ';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1PB138R479AZ',1183297859500416002,'zh_CN','日','传入一个数值，作为构建日期的日；当输入为0时，返回月的最后一天 范围：0到31的整数');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '1PB138R479B+';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('1PB138R479B+',1183297859500416002,'zh_TW','日','傳入一個數值，作為構建日期的日；當輸入為0時，返回月的最後一天 範圍：0到31的整數');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU0P492FOAY';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU0P492FOAY',829083619124362240,'zh_CN','初始年月','文本型，初始年月值（格式YYYYMM），可传入文本类型的薪酬项目，值为具体的YYYYMM文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU0P492FOAZ';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU0P492FOAZ',829083619124362240,'zh_TW','初始年月','文本型，初始年月值（格式YYYYMM），可傳入文本類型的薪酬項目，值為具體的YYYYMM文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU2D1AC8JPI';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU2D1AC8JPI',829092666019986432,'zh_CN','待处理文本','文本型，薪酬项目或需要处理的文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU2D1AC8JPJ';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU2D1AC8JPJ',829092666019986432,'zh_TW','待處理文本','文本型，薪酬項目或需要處理的文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHFX5ZNWI9';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHFX5ZNWI9',828761231539464192,'zh_CN','待处理文本','文本型，待计算长度的文本，可传入薪酬信息集内的文本型的字段，比如：[职位名称]、薪酬项目名称或文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHFX5ZNWI=';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHFX5ZNWI=',828761231539464192,'zh_TW','待處理文本','文本型，待計算長度的文本，可傳入薪酬信息集內的文本型的字段，比如：[職位名稱]、薪酬項目名稱或文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHO3KQJSNW';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHO3KQJSNW',828762358959990785,'zh_CN','起始位置','数值型，文本数据中开始的文本序号（从1开始计数），传入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHO3KQJSNU';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHO3KQJSNU',828762358959990784,'zh_CN','待处理文本','文本型，提取文本数据中的部分文本，可传入文本型计算元素，比如：[职位名称]、薪酬项目名称或文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHO3KQJSNV';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHO3KQJSNV',828762358959990784,'zh_TW','待處理文本','文本型，提取文本數據中的部分文本，可傳入文本型計算元素，比如：[職位名稱]、薪酬項目名稱或文本');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU0P492FOB0';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU0P492FOB0',829083619124362242,'zh_CN','待比较月','数值型，待用于比较的月份，可传入数值类型的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU0P492FOB1';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU0P492FOB1',829083619124362242,'zh_TW','待比較月','數值型，待用於比較的月份，可傳入數值類型的薪酬項目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU2MWDFD33Z';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU2MWDFD33Z',829094013977245696,'zh_CN','待处理数值','数值型，需要处理的数值，可传入数值类型的薪酬项目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KU2MWDFD34+';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KU2MWDFD34+',829094013977245696,'zh_TW','待處理數值','數值型，需要處理的數值，可傳入數值類型的薪酬項目');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSIBN76VFAU';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSIBN76VFAU',828765999548753920,'zh_CN','待处理日期','文本型，当前日期值（格式YYYY-MM-DD），可传入文本类型的薪酬项目，值为具体的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSIBN76VFAV';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSIBN76VFAV',828765999548753920,'zh_TW','待處理日期','文本型，當前日期值（格式YYYY-MM-DD），可傳入文本類型的薪酬項目，值為具體的日期');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHO3KQJSNX';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHO3KQJSNX',828762358959990785,'zh_TW','起始位置','數值型，文本數據中開始的文本序號（從1開始計數），傳入數字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHO3KQJSNY';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHO3KQJSNY',828762358959990786,'zh_CN','提取文本长度','数值型，需要提取文本的长度，传入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHO3KQJSNZ';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHO3KQJSNZ',828762358959990786,'zh_TW','提取文本長度','數值型，需要提取文本的長度，傳入數字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHVI4Q6H/G';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHVI4Q6H/G',828763374342259712,'zh_CN','日期','字符型，日期值（格式YYYY-MM-DD），可传入字符类型的薪酬项目，值为具体的日期，如果参数为空，则返回系统当前日期的年');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSHVI4Q6H/H';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSHVI4Q6H/H',828763374342259712,'zh_TW','日期','字符型，日期值（格式YYYY-MM-DD），可傳入字符類型的薪酬項目，值為具體的日期，如果參數為空，則返回係統當前日期的年');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSI/BJF/052';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSI/BJF/052',828764174514808832,'zh_CN','日期','字符型，日期值（格式YYYY-MM-DD），可传入字符类型的薪酬项目，值为具体的日期，如果参数为空，则返回系统当前日期的月');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSI/BJF/053';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSI/BJF/053',828764174514808832,'zh_TW','日期','字符型，日期值（格式YYYY-MM-DD），可傳入字符類型的薪酬項目，值為具體的日期，如果參數為空，則返回係統當前日期的月');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSI4706J72K';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSI4706J72K',828764841249761280,'zh_CN','日期','字符型，日期值（格式YYYY-MM-DD），可传入字符类型的薪酬项目，值为具体的日期，如果参数为空，则返回系统当前日期的日');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSI4706J72L';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSI4706J72L',828764841249761280,'zh_TW','日期','字符型，日期值（格式YYYY-MM-DD），可傳入字符類型的薪酬項目，值為具體的日期，如果參數為空，則返回係統當前日期的日');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KPSA88XEW=O';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KPSA88XEW=O',828193141181108224,'zh_CN','被除数','数值型或金额型，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KPSA88XEW=P';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KPSA88XEW=P',828193141181108224,'zh_TW','被除數','數值型或金額型，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KPSA88XEW=Q';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KPSA88XEW=Q',828193141181108225,'zh_CN','除数','数值型或金额型，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KPSA88XEW=R';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KPSA88XEW=R',828193141181108225,'zh_TW','除數','數值型或金額型，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSGR6ZF5/W0';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSGR6ZF5/W0',828757430526961664,'zh_CN','待算数','数值型或金额型，待处理的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSGR6ZF5/W1';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSGR6ZF5/W1',828757430526961664,'zh_TW','待算數','數值型或金額型，待處理的數值，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSGR6ZF5/W2';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSGR6ZF5/W2',828757430526961665,'zh_CN','精确小数位','数值型，需精确到小数点后第几位，输入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSGR6ZF5/W3';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSGR6ZF5/W3',828757430526961665,'zh_TW','精確小數位','數值型，需精確到小數點後第幾位，輸入數字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSH/NM6DNRP';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSH/NM6DNRP',828758864978920448,'zh_CN','待算数','数值型或金额型，待处理的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSH/NM6DNRQ';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSH/NM6DNRQ',828758864978920448,'zh_TW','待算數','數值型或金額型，待處理的數值，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSH/NM6DNRR';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSH/NM6DNRR',828758864978920449,'zh_CN','精确小数位','数值型，需精确到小数点后第几位，输入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KSH/NM6DNRS';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KSH/NM6DNRS',828758864978920449,'zh_TW','精確小數位','數值型，需精確到小數點後第幾位，輸入數字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQUZ33I5P7B';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQUZ33I5P7B',828415986255676416,'zh_CN','待算数','数值型或金额型，待计算的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQUZ33I5P7C';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQUZ33I5P7C',828415986255676416,'zh_TW','待算數','數值型或金額型，待計算的數值，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV4JG4P7SS';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV4JG4P7SS',828417007921021952,'zh_CN','待比较数1','数值型或金额型，待比较大小的数值1，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV4JG4P7ST';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV4JG4P7ST',828417007921021952,'zh_TW','待比較數1','數值型或金額型，待比較大小的數值1，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV4JG4P7SU';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV4JG4P7SU',828417007921021953,'zh_CN','待比较数2','数值型或金额型，待比较大小的数值2，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV4JG4P7SV';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV4JG4P7SV',828417007921021953,'zh_TW','待比較數2','數值型或金額型，待比較大小的數值2，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV=52EURI+';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV=52EURI+',828417777198318592,'zh_CN','待比较数1','数值型或金额型，待比较大小的数值1，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV=52EURI/';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV=52EURI/',828417777198318592,'zh_TW','待比較數1','數值型或金額型，待比較大小的數值1，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV=52EURI0';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV=52EURI0',828417777198318593,'zh_CN','待比较数2','数值型或金额型，待比较大小的数值2，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQV=52EURI1';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQV=52EURI1',828417777198318593,'zh_TW','待比較數2','數值型或金額型，待比較大小的數值2，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVEN8D5T0N';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVEN8D5T0N',828418530746975232,'zh_CN','待算数','数值型或金额型，待计算的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVEN8D5T0O';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVEN8D5T0O',828418530746975232,'zh_TW','待算數','數值型或金額型，待計算的數值，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVKEAC+981';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVKEAC+981',828419322732233728,'zh_CN','待算数','数值型或金额型，待计算的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVKEAC+982';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVKEAC+982',828419322732233728,'zh_TW','待算數','數值型或金額型，待計算的數值，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVRFZNG50R';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVRFZNG50R',828420289150216192,'zh_CN','待算数','数值型或金额型，待处理的数值，可传入数值型或金额型的薪酬项目名称或数值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVRFZNG50S';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVRFZNG50S',828420289150216192,'zh_TW','待算數','數值型或金額型，待處理的數值，可傳入數值型或金額型的薪酬項目名稱或數值');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVRFZNG50T';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVRFZNG50T',828420289150216193,'zh_CN','精确小数位','数值型，需精确到小数点后第几位，输入数字');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '0KQVRFZNG50U';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FENTRYID,FLOCALEID,FPARAMNAME,FPARAMDESC) 
VALUES ('0KQVRFZNG50U',828420289150216193,'zh_TW','精確小數位','數值型，需精確到小數點後第幾位，輸入數字');


